# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.finance
Class PositionQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.finance.PositionQuery

    public class PositionQuery

extends Query

Describes a query for the feed of all the positions belonging to the portfolio.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`PositionQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.Boolean` `getIncludeReturns()` Returns the flag indicating whether returns and performance stats should be included in the portfolio and position feed entries.
`java.lang.Boolean` `getInlineTransactions()` Returns the flag to inline transactions under the position feed.
`void` `setIncludeReturns(java.lang.Boolean includeReturns)` Sets the flag indicating whether returns and performance stats should be included in the portfolio and position feed entries.
`void` `setInlineTransactions(java.lang.Boolean inlineTransactions)` Sets the flag to inline transactions under the position feed.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionQuery

    public PositionQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getIncludeReturns

    public java.lang.Boolean getIncludeReturns()

  Returns the flag indicating whether returns and performance stats should be included in the portfolio and position feed entries.

  Returns:
    flag indicating whether returns and performance stats should be included in the portfolio and position feed entries.

### setIncludeReturns

    public void setIncludeReturns(java.lang.Boolean includeReturns)

  Sets the flag indicating whether returns and performance stats should be included in the portfolio and position feed entries.

  Parameters:
    `includeReturns` - flag indicating whether returns and performance stats should be included in the portfolio and position feed entries or `null` to reset this parameter to default value `false`.

### getInlineTransactions

    public java.lang.Boolean getInlineTransactions()

  Returns the flag to inline transactions under the position feed.

  Returns:
    flag to inline transactions under the position feed.

### setInlineTransactions

    public void setInlineTransactions(java.lang.Boolean inlineTransactions)

  Sets the flag to inline transactions under the position feed.

  Parameters:
    `inlineTransactions` - flag to inline transactions under the position feed or `null` to reset this parameter to default value `false`.